## ros-indigo-rospeex-samples 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospeex_samples)

find_package(catkin REQUIRED COMPONENTS
  rospy
  roscpp
  rospeex_msgs
  rospeex_if
  roslib
)

find_package(Boost REQUIRED COMPONENTS system)

catkin_package(
  CATKIN_DEPENDS roscpp rospy std_msgs rospeex_msgs rospeex_if roslib
  DEPENDS system_lib
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(talking_watch_sample src/cpp/talking_watch_sample.cpp)
add_executable(talking_watch_sample_en src/cpp/talking_watch_sample_en.cpp)

add_dependencies(talking_watch_sample ${catkin_EXPORTED_TARGETS})
add_dependencies(talking_watch_sample_en ${catkin_EXPORTED_TARGETS})

target_link_libraries(talking_watch_sample ${catkin_LIBRARIES})
target_link_libraries(talking_watch_sample_en ${catkin_LIBRARIES})

install(PROGRAMS
  src/py/talking_watch_sample.py
  src/py/talking_watch_sample_en.py
  src/py/turtle_demo.py
  src/py/turtle_demo_en.py
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE
)

install(TARGETS talking_watch_sample talking_watch_sample_en
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rospeex-samples (3.0.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 18 Apr 2017 15:00:00 -0000

ros-indigo-rospeex-samples (3.0.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 04 Apr 2017 15:00:00 -0000

ros-indigo-rospeex-samples (2.15.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-rospeex-samples (2.15.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-samples (2.15.2-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 12 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-samples (2.15.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 11 Jan 2017 15:00:00 -0000

ros-indigo-rospeex-samples (2.15.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 06 Dec 2016 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.7-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 29 Mar 2016 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.6-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 13 Jan 2016 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.5-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 13 Jan 2016 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 30 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.2-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.1-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 17 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.14.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 17 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.13.0-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.12.6-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.12.5-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Mon, 02 Mar 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.12.4-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.12.3-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 12 Feb 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.12.2-1trusty) trusty; urgency=high



 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-rospeex-samples (2.12.1-1trusty) trusty; urgency=high

  * update setup.py
  * fix setupscript and package.xml
  * modify package.xml
  * fix issue #55
  * fix issue #51
  * fix web audiomonitor
  * fix CMakeLists.txt
  * fix directory
  * modify lanch files, and rospeex_web audiomonitor
  * update sample script / update cmake permissions
  * fix install script
  * fix filenames / add audiomonitor
  * modify rospeex_samples package
  * add rospeex_sample

 -- Komei Sugiura <komei.sugiura@nict.go.jp>  Thu, 25 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rospeex-samples
Section: misc
Priority: extra
Maintainer: Komei Sugiura <komei.sugiura@nict.go.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospeex-if, ros-indigo-rospeex-msgs, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: http://rospeex.org
Standards-Version: 3.9.2

Package: ros-indigo-rospeex-samples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospeex-if, ros-indigo-rospeex-msgs, ros-indigo-rospy, ros-indigo-std-msgs
Description: This package provides some rospeex samples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rospeex-samples//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
